<%@ page import="java.util.Locale" %>
<%--
  Created by IntelliJ IDEA.
  User: ls
  Date: 15.05.2007
  Time: 19:52:50
  To change this template use File | Settings | File Templates.
--%>
<%@ page contentType="text/html;charset=ISO-8859-1" language="java" %>

<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>

<html:html>
    <head>
        <title><bean:message key="list.title"/></title>

        <!-- Pfade relativ zur dieser Seite -->
        <html:base />
    </head>

    <body>
        <h3><bean:message key="list.heading"/></h3>

        <table>
            <tr>
                <th><bean:message key="address.name"/></th>
                <th><bean:message key="address.firstName"/></th>
                <th><bean:message key="address.eMail"/></th>
            </tr>
            <logic:notPresent name="list" scope="session">
                <tr>
                    <td colspan="3">
                        <bean:message key="list.no.entries"/>
                    </td>
                </tr>
            </logic:notPresent>
            <logic:present name="list" scope="session">
                <logic:iterate id="entry" name="list" scope="session">
                    <tr>
                        <!-- Der Wert des Parameters property muss mit dem Wert der private Member aus dem Address-Bean bereinstimmen -->
                        <td><bean:write name="entry" property="name"/></td>
                        <td><bean:write name="entry" property="firstname"/></td>
                        <td><bean:write name="entry" property="mail"/></td>
                    </tr>
                </logic:iterate>
            </logic:present>
        </table>

        <hr>

        <html:link forward="addressDetail">
            <bean:message key="list.new.entry"/>
        </html:link>

    </body>

</html:html>
