package adressbook;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionForm;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import java.util.List;
import java.util.LinkedList;
import java.util.Locale;

/**
 * Created by IntelliJ IDEA.
 * User: ls
 * Date: 18.05.2007
 * Time: 17:25:28
 * To change this template use File | Settings | File Templates.
 */
public class AddressAction extends Action
{
    public ActionForward execute(ActionMapping actionMapping, ActionForm actionForm,
                                 HttpServletRequest httpServletRequest, HttpServletResponse httpServletResponse) throws Exception
    {
        // Cast des allg. Form-Objekts zur AddressForm
        AddressForm addressForm = (AddressForm)actionForm;

        // Erzeugen eines neuen Business-Objekts mit dem bereits validierten Daten des Formulars
        Address newAddress = new Address();
        newAddress.setName(addressForm.getName());
        newAddress.setFirstname(addressForm.getFirstName());
        newAddress.setMail(addressForm.getEMail());

        // Zurgiff auf Session und speichern der Adress-Liste
        HttpSession session = httpServletRequest.getSession();
        List<Address> addressList = (List<Address>)session.getAttribute("list");

        if (addressList == null)
            addressList = new LinkedList<Address>();

        // Hinzufgen der neue eingetragenen Adresse
        addressList.add(newAddress);

        // Ablegen der Liste in die Session
        session.setAttribute("list", addressList);

        // Umleiten auf entsprechende JSP-Seite (in struts-config.xml konfiguriert)
        return actionMapping.findForward("continue");
    }
}
