package adressbook;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMessage;

import javax.servlet.http.HttpServletRequest;

/**
 * Created by IntelliJ IDEA.
 * User: ls
 * Date: 18.05.2007
 * Time: 17:07:33
 * To change this template use File | Settings | File Templates.
 */

/**
 * Dieses JavaBean speichert die Werte des Formulars addressDetail.jsp
 */
public class AddressForm extends ActionForm
{
    private String name;
    private String firstName;
    private String email;

    /**
     * Setzt das Formular wieder auf den ursprnglichen Zustand.
     * @param mapping
     * @param request
     */
    public void reset(ActionMapping mapping, HttpServletRequest request)
    {
        name = "";
        firstName = "";
        email = "";
    }

    /**
     * Validierungs-Methode fr das Formular
     * @param mapping
     * @param request
     * @return
     */
    public ActionErrors validate(ActionMapping mapping, HttpServletRequest request)
    {
        ActionErrors errors = new ActionErrors();

        if ((name == null) || (name.equals("")))
        {
            errors.add("name", new ActionMessage("detail.error.name.required"));
        }

        if (email.indexOf("@") == -1)
        {
            errors.add("email", new ActionMessage("detail.error.email.noat"));
        }

        return errors;
    }

    public String getName()
    {
        return name;
    }

    public void setName(String name)
    {
        this.name = name;
    }

    public String getFirstName()
    {
        return firstName;
    }

    public void setFirstName(String firstName)
    {
        this.firstName = firstName;
    }

    public String getEMail()
    {
        return email;
    }

    public void setEMail(String mail)
    {
        this.email = mail;
    }
}
